devel/p5-Menlo-Legacy - The NetBSD Packages Collection

Legacy internal and client support for Menlo

Menlo::Legacy is a package to install Menlo::CLI::Compat which is a
compatibility library that implements the classic version of cpanminus
internals and behavios. This is so that existing users of cpanm and API
clients such as Carton, Carmel and App::cpm) can rely on the stable
features and specific behaviors of cpanm.

This way Menlo can evolve and be refactored without the fear of breaking
any downstream clients, including cpanm itself.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Menlo lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0earmv7hfp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 8.0earmv7hfp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 8.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0i386p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 8.0i386p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0i386p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0powerpcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0powerpcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0powerpcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 8.0x86_64p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 8.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0aarch64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0aarch64p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0aarch64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0aarch64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0alphap5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0alphap5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0alphap5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0earmv6hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv6hfp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0earmv6hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv6hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv6hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0earmv7hfp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0i386p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0i386p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0i386p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0mips64ebp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0mips64ebp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0mips64ebp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0powerpcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0powerpcp5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0powerpcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparc64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparc64p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0sparc64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparc64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0sparcp5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb2.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz
NetBSD 9.0x86_64p5-Menlo-Legacy-1.9022nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.